Custom Query (2449 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (220 - 222 of 2449)

Ticket Resolution Summary Owner Reporter
#29 Invalid BlockList Importer markybob th_agorastos@…
Description

I enabled BlockList? Importer, set it to download a non-working URL (server too busy at the time) and selected "GZipped List" (don't know if that mattered). After restarted Deluge the plug-in tried to download the list, that obviously didn't work and then a pop-up dialog appeared reading that (don't remember it exactly) "...change the list URL setting".

The thing is that the dialog had an OK button but it didn't work. No matter what (clicking OK or the window close button) didn't make the dialog to disappear! Plus, I tried disabling the plugin and then re enabling it, didn't make the "Preferences" button enabled so as to actually change the URL.

#3600 Fixed Fail to run using python 3.11 th0ma7
Description

Maintainer of the SynoCommunity? deluge package. Currently runs really well using version 2.1.1 on python 3.10. Tried updating to python 3.11 but got the following error:

th0ma7@th0ma7-nas:/var/packages/deluge/var$ cat deluge.log 
Sat May 13 09:58:18 EDT 2023
Starting deluge command /volume1/@appstore/deluge/env/bin/deluged -c /volume1/@appdata/deluge  -l /volume1/@appdata/deluge/logs/deluged.log -L info --logrotate -P /volume1/@appdata/deluge/logs/deluged.pid -d
Starting deluge command /volume1/@appstore/deluge/env/bin/deluge-web -c /volume1/@appdata/deluge  -l /volume1/@appdata/deluge/logs/deluge-web.log -L info --logrotate -P /volume1/@appdata/deluge/logs/deluge-web.pid -d
Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/bin/deluged", line 8, in <module>
    sys.exit(start_daemon())
             ^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/core/daemon_entry.py", line 81, in start_daemon
    parser = ArgParserBase()
             ^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 178, in __init__
    version='%(prog)s ' + _get_version_detail(),
                          ^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 89, in _get_version_detail
    from deluge._libtorrent import LT_VERSION
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
SystemError: type Boost.Python.enum has the Py_TPFLAGS_HAVE_GC flag but has no traverse function
Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/bin/deluge-web", line 8, in <module>
    sys.exit(start())
             ^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/web/__init__.py", line 5, in start
    web = Web()
          ^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/web/web.py", line 24, in __init__
    super().__init__(
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/ui.py", line 40, in __init__
    self.__parser = ArgParserBase(**kwargs)
                    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 178, in __init__
    version='%(prog)s ' + _get_version_detail(),
                          ^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 89, in _get_version_detail
    from deluge._libtorrent import LT_VERSION
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
SystemError: type Boost.Python.enum has the Py_TPFLAGS_HAVE_GC flag but has no traverse function

#1490 Fixed Daemon uses 4% cpu when idle tes
Description

When running deluged, all torrents inactive and no interface connected, the daemon uses 4% cpu on my system (Atom N270).

I'm attaching deluged.profile. I've verified using netstat that no connections are open.

Note: See TracQuery for help on using queries.